org.sunflow.core.tesselatable

## Class FileMesh

- java.lang.Object
- - org.sunflow.core.tesselatable.FileMesh

- All Implemented Interfaces:
    RenderObject, Tesselatable

      public class FileMesh
      extends java.lang.Object
      implements Tesselatable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMesh()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundingBox` | `getWorldBounds(Matrix4 o2w)` Compute a bounding box of this object in world space, using the specified object-to-world transformation matrix.
    `PrimitiveList` | `tesselate()` Tesselate this object into a `PrimitiveList`.
    `boolean` | `update(ParameterList pl, SunflowAPI api)` Update this object given a list of parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileMesh

          public FileMesh()

  - ### Method Detail

    - #### getWorldBounds

          public BoundingBox getWorldBounds(Matrix4 o2w)

      Description copied from interface: `Tesselatable`
      Compute a bounding box of this object in world space, using the specified object-to-world transformation matrix. The bounds should be as exact as possible, if they are difficult or expensive to compute exactly, you may use `Matrix4.transform(BoundingBox)`. If the matrix is `null` no transformation is needed, and object space is equivalent to world space. This method may return `null` if these bounds are difficult or impossible to compute, in which case the tesselation will be executed right away and the bounds of the resulting primitives will be used.
      Specified by:
        `getWorldBounds` in interface `Tesselatable`
      Parameters:
        `o2w` - object to world transformation matrix
      Returns:
        object bounding box in world space

    - #### tesselate

          public PrimitiveList tesselate()

      Description copied from interface: `Tesselatable`
      Tesselate this object into a `PrimitiveList`. This may return `null` if tesselation fails.
      Specified by:
        `tesselate` in interface `Tesselatable`
      Returns:
        a list of primitives generated by the tesselation

    - #### update

          public boolean update(ParameterList pl,
                                SunflowAPI api)

      Description copied from interface: `RenderObject`
      Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.
      Specified by:
        `update` in interface `RenderObject`
      Parameters:
        `pl` - list of parameters to read from
        `api` - reference to the current scene
      Returns:
        `true` if the update is succesfull, `false` otherwise